﻿using Newtonsoft.Json;

namespace Ys.Scada.Backend.Models
{
    public class DocumentBaseModel
    {
        public int Id { get; set; }
    }
    public class DocumentReleaseModel : DocumentBaseModel
    {
        public string? Title { get; set; }
        public string? Channel { get; set; }
        public string? Keywords { get; set; }
        public string? Description { get; set; }
    }
    public class DocumentModel : DocumentReleaseModel
    {
        public int Id { get; set; }
        public DateTime CreatedAt { get; set; }
        public int UserId { get; set; }
        public string Type { get; set; }
        public string? CurrentKeys { get; set; }
        public string? Data { get; set; }
        public string? Attrs { get; set; }
        public string DataSource { get; set; }
        public DateTime LastSaveTimeTick { get; set; }
        public int Status { get; set; }
        public string? Variables { get; set; }
    }
}
