﻿using Ys.Scada.Core;

namespace Ys.Scada.Backend.Models
{
    public class VariableModel
    {
        [Export(ColumnName = "数据源id", ColumnOrder = 998)]
        public int SourceId { get; set; }
        [Export(ColumnName = "项目Id", ColumnOrder = 999)]
        public int DocId { get; set; }
        /// <summary>
        /// 设备唯一标识
        /// </summary>
        [Export(ColumnName = "设备代码", ColumnOrder = 1)]
        public string DeviceCode { get; set; }
        /// <summary>
        /// 标签代码
        /// </summary>
        [Export(ColumnName = "标签代码", ColumnOrder = 2)]
        public string Code { get; set; }
        /// <summary>
        /// 标签名称
        /// </summary>
        [Export(ColumnName = "标签名称", ColumnOrder = 3)]
        public string Name { get; set; }
        /// <summary>
        /// 读写类型
        /// </summary>
        [Export(ColumnName = "读写类型", ColumnOrder = 4)]
        public string ReadWrite { get; set; }
        /// <summary>
        /// 标签别名
        /// </summary>
        [Export(ColumnName = "标签别名", ColumnOrder = 5)]
        public string AliasCode { get; set; }
        /// <summary>
        /// 单位
        /// </summary>
        [Export(ColumnName = "单位", ColumnOrder = 6)]
        public string Unit { get; set; }
        /// <summary>
        /// 数据类型
        /// </summary>
        [Export(ColumnName = "数据类型", ColumnOrder = 7)]
        public string DataType { get; set; }
        /// <summary>
        /// 标签地址
        /// </summary>
        [Export(ColumnName = "标签地址", ColumnOrder = 8)]
        public string VariableAddress { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        [Export(ColumnName = "备注", ColumnOrder = 9)]
        public string Description { get; set; }
    }
}
