﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ys.Scada.Core.Common
{
    public class Base64ToImage
    {
        public static async Task ConvertBase64ToImage(string base64String, string imagePath)
        {
            if (!Directory.Exists(GlobalSettings.ResourcessPath))
                Directory.CreateDirectory(GlobalSettings.ResourcessPath);
            if (base64String.Contains(","))
            {
                base64String = base64String.Substring(base64String.IndexOf(",") + 1);
            }
            byte[] imageBytes = Convert.FromBase64String(base64String);
            await File.WriteAllBytesAsync(imagePath, imageBytes);
        }
    }
}
