﻿namespace Ys.Scada.Core.EventBus.Publisher
{
    /// <summary>
    /// 事件发布
    /// </summary>
    public interface IEventPublisher
    {
        /// <summary>
        /// 发布
        /// </summary>
        /// <typeparam name="T"></typeparam>
        /// <param name="eventMessage">事件消息</param>
        /// <returns></returns>
        Task Publish<T>(T eventMessage);
    }
}
