﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ys.Scada.Core.EventModels
{
    public class TagDataEventModel 
    {
        public string DataType { get; set; }
        /// <summary>
        /// 点位地址
        /// </summary>
        public string Address { get; set; }
        /// <summary>
        /// 采集时间
        /// </summary>
        public string Ts { get; set; }
        /// <summary>
        /// 数据质量 1正常 2失败
        /// </summary>
        public int QL { get; set; } = 1;
        /// <summary>
        /// 地址 有通道，设备，点位组成的唯一
        /// </summary>
        public string Id { get; set; }
        public string Name { get; set; }
        /// <summary>
        /// 采集数值
        /// </summary>
        public string VL { get; set; }
        public override string ToString()
        {
            return System.Text.Json.JsonSerializer.Serialize(this);
        }
    }
}
