﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ys.Scada.Core.MQ
{
    public enum MqLogType
    {
        //RabbitMQ
        ConsumerCancelled,
        ConsumerRegistered,
        ConsumerUnregistered,
        ConsumerShutdown,

        //Kafka
        ConsumeError,
        ConsumeRetries,
        ServerConnError
    }

    public class LogMessageEventArgs : EventArgs
    {
        public string? Reason { get; set; }

        public MqLogType LogType { get; set; }
    }
}
