﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ys.Scada.Core.MQ
{
    public class Message
    {
        public Message()
        {
            Headers = new Dictionary<string, string?>();
        }
        public Message(IDictionary<string, string?> headers, object? value)
        {
            Headers = headers ?? throw new ArgumentNullException(nameof(headers));
            Value = value;
        }
        public IDictionary<string, string?> Headers { get; set; }
        public object? Value { get; set; }
    }
}
