﻿using MQTTnet.Formatter;
using MQTTnet.Protocol;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ys.Scada.MQTT
{
    public class MQTTOptions
    {
        public string Server { get; set; }
        public int Port { get; set; }
        public string UserName { get; set; }
        public string Password { get; set; }
        public string ClientId { get; set; }
        public bool CleanSession { get; set; } = true;
        public TimeSpan KeepAlivePeriod { get; set; } = TimeSpan.FromSeconds(15);
        public MqttProtocolVersion ProtocolVersion { get; set; } = MqttProtocolVersion.V311;
        public TimeSpan Timeout { get; set; } = TimeSpan.FromSeconds(100);
        public MqttQualityOfServiceLevel WillQualityOfServiceLevel { get; set; }
    }
}
