﻿using FreeSql.DataAnnotations;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ys.Scada.Repository
{
    public  class BaseEntity
    {
        [JsonProperty, Column(Name = "id", IsPrimary = true, IsIdentity = true)]
        public int Id { get; set; }
        [JsonProperty, Column(Name = "CreatedAt", DbType = "datetime", InsertValueSql = "CURRENT_TIMESTAMP")]
        public DateTime CreatedAt { get; set; } = DateTime.Now;
        public int CreatedBy { get; set; }
        public bool IsDeleted { get; set; }
    }
}
