﻿using FreeSql.DataAnnotations;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ys.Scada.Repository
{
    [JsonObject(MemberSerialization.OptIn), Table(Name = "permissions", DisableSyncStructure = false)]
    public class Permission : BaseEntity
    {
        public int PId { get; set; }
        public string Url { get; set; }
        public string Name { get; set; }
        public string Code { get; set; }
        public string Category { get; set; }
        public int MenuType { get; set; }
        public string Icon { get; set; }
        public int Sort { get; set; }
    }
}
