﻿using AutoMapper;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace Ys.Scada.Backend.Controllers
{
    public class RealTimeDataController : BaseController
    {
        public record GatherData(string code, string AddressName, int Value, bool Bvalue, DateTime Time);

        public RealTimeDataController(IFreeSql fsql, IMapper mapper) : base(fsql, mapper)
        {
        }
        [AllowAnonymous]
        [HttpGet("data")]
        public async Task<JsonResult> RealTimeData() 
        {
            var bdom = true;
            var dom = new Random().Next(1,1000);
            if (dom%2==0)
                bdom = false;
            return OK(new List<GatherData>() { new GatherData(Guid.NewGuid().ToString("N"), "test", dom, bdom, DateTime.Now) });
        }
    }
}
