﻿
using Ys.Scada.Backend.WS;

namespace Ys.Scada.Backend.Hosted
{
    public class WSDataBackgroundService : BackgroundService
    {
        private readonly DataServer _server;
        public WSDataBackgroundService(DataServer dataServer)
        {
            _server = dataServer;
        }
        public override Task StartAsync(CancellationToken stoppingToken)
        {
            _server.Start();
            return Task.CompletedTask;
        }
        protected override Task ExecuteAsync(CancellationToken stoppingToken)
        {
            return Task.CompletedTask;
        }
        public override Task StopAsync(CancellationToken cancellationToken) 
        {
            _server.Stop();
            return Task.CompletedTask;
        }
    }
}
