﻿namespace Ys.Scada.Backend.Models
{
    public class ResourcesBaseModel
    {
        public int Id { get; set; }
    }
    public class ResourcesReleaseModel : ResourcesBaseModel
    {
        public string? Title { get; set; }
        public string? Channel { get; set; }
        public string? Keywords { get; set; }
        public string? Description { get; set; }
    }
    public class ResourcesModel : ResourcesReleaseModel
    {
        public DateTime CreatedAt { get; set; }
        public int CreatedBy { get; set; }
        public bool IsDeleted { get; set; }
        public int UserId { get; set; }
        public string Type { get; set; }
        public string? Category { get; set; }
        public string Name { get; set; }
        public decimal Size { get; set; }
        public string? Ext { get; set; }
        public string? Data { get; set; }
        public int Status { get; set; }
        public string? Base64 { get; set; }
    }
}
