﻿using System.Net;
using Ys.Scada.Backend.Hosted;

namespace Ys.Scada.Backend.WS
{
    public static class WSExtensions
    {
        public static IServiceCollection AddWS(this IServiceCollection services, int port, string secretKey)
        {
            return services.AddSingleton(sp => new DataServer(IPAddress.Any, port, secretKey))
                .AddHostedService<WSDataBackgroundService>();
        }
    }
}
