﻿using System.Threading.Channels;

namespace Ys.Scada.Core
{
    public class MemoryChannel<T> 
    {
        private readonly Channel<T> _channel;
        public Channel<T> Channel { get { return _channel; } }
        public MemoryChannel(BoundedChannelOptions boundedChannelOptions) 
        {
            _channel = System.Threading.Channels.Channel.CreateBounded<T>(boundedChannelOptions);
        }
    }
}
