﻿namespace Ys.Scada.Core.EventBus.Consumer
{
    /// <summary>
    /// 消费者
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public interface IConsumer<T>
    {
        /// <summary>
        /// 事件
        /// </summary>
        /// <param name="eventMessage">事件消息</param>
        /// <returns></returns>
        Task HandleEvent(T eventMessage);
    }
}
