﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Ys.Scada.Core.MQ;

namespace Ys.Scada.Core.MQ
{
    public interface IConsumerClient : IDisposable
    {
        BrokerAddress BrokerAddress { get; }
        void Subscribe(IEnumerable<string> topics);
        void Listening(TimeSpan timeout, CancellationToken cancellationToken);
    }
}
