﻿using FreeSql.DataAnnotations;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ys.Scada.Repository.Domain
{
    [JsonObject(MemberSerialization.OptIn), Table(Name = "data_source", DisableSyncStructure = false)]
    public class DataSource : BaseEntity
    {
        public int DocId { get; set; }
        /// <summary>
        /// 0 rabbitmq, 1 kafka, 2 mqtt
        /// </summary>
        public string Type { get; set; }
        public string Name { get; set; }
        public string Host { get; set; }
        public string RWType { get; set; }
        public int Port { get; set; }
        [Column(StringLength = -2)]
        public string Ext { get; set; }
        [Column(StringLength = -2)]
        public string Data { get; set; }
        public string ConfigType { get; set; }
        public int Status { get; set; }
    }
}
