﻿using FreeSql.DataAnnotations;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ys.Scada.Repository.Domain
{
    [JsonObject(MemberSerialization.OptIn), Table(Name = "release", DisableSyncStructure = false)]
    public class Release : BaseEntity
    {
        public int DocId { get; set; }
        public int UserId { get; set; }
        public string Type { get; set; }
        public string CurrentKeys { get; set; }
        [Column(StringLength = -2)]
        public string Data { get; set; }
        [Column(StringLength = -2)]
        public string Attrs { get; set; }
        [Column(StringLength = -2)]
        public string DataSource { get; set; }
        [Column(StringLength = -2)]
        public string Title { get; set; }
        [Column(StringLength = -2)]
        public string Keywords { get; set; }
        [Column(StringLength = -2)]
        public string Description { get; set; }
        public DateTime LastSaveTimeTick { get; set; }
        public int Status { get; set; }
        public string Channel { get; set; }
    }
}
