﻿using FreeSql.DataAnnotations;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ys.Scada.Repository.Domain
{
    [JsonObject(MemberSerialization.OptIn), Table(Name = "resources", DisableSyncStructure = false)]
    public class Resources : BaseEntity
    {
        public int UserId { get; set; }
        public string Type { get; set; }
        public string Category { get; set; }
        public string Name { get; set; }
        [Column(StringLength = -2)]
        public string Title { get; set; }
        [Column(StringLength = -2)]
        public string Keywords { get; set; }
        [Column(StringLength = -2)]
        public string Description { get; set; }
        public decimal Size { get; set; }
        public string Ext { get; set; }
        [Column(StringLength = -2)]
        public string Data { get; set; }
        public int Status { get; set; }
        public string Channel { get; set; }
    }
}
