﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Ys.Scada.Core;

namespace Ys.Scada.Repository.Domain
{
    public class Variable : BaseEntity
    {
        public int SourceId { get; set; }
        public int DocId { get; set; }
        public string DeviceCode { get; set; }
        /// <summary>
        /// 标签代码
        /// </summary>
        public string Code { get; set; }
        /// <summary>
        /// 标签名称
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 读写类型
        /// </summary>
        public string ReadWrite { get; set; }
        /// <summary>
        /// 标签别名
        /// </summary>
        public string AliasCode { get; set; }
        /// <summary>
        /// 单位
        /// </summary>
        public string Unit { get; set; }
        /// <summary>
        /// 数据类型
        /// </summary>
        public string DataType { get; set; }
        /// <summary>
        /// 标签地址
        /// </summary>
        public string VariableAddress { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Description { get; set; }
    }
}
